/* 
  Copyright 2001 Andrew McNab mcnab@hep.man.ac.uk University of Manchester

  This file is part of GridSite.

  GridSite is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  GridSite is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with GridSite; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/

/*------------------------------------------------------------------------*
 * For more information about GridSite: http://www.gridpp.ac.uk/gridsite/ *
 *------------------------------------------------------------------------*/

/* defines and declarations common to all GridSite installations */

#define GRST_VERSION "0.1.4"

/* Access Control List files in each directory */
#define GRST_WRITEACL ".gridsite-write-acl"
#define GRST_READACL  ".gridsite-read-acl"

/* filename of header file, either in current directory or GRST_TOPDIR */

#define GRST_HEADFILE "gridsitehead.txt"
#define GRST_FOOTFILE "gridsitefoot.txt"

/* maximum number of groups that can be defined, and maximum length of
   permissable group name and DN */

#define GRST_MAXGROUPS 100
#define GRST_GROUPLEN   20
#define GRST_DNLEN     100
#define GRST_ROLELEN    20

/* meaning of read/write flags for a given directory */

#define GRST_CANNOTREAD 0
#define GRST_CANREAD    1
#define GRST_CANWRITE   2

struct grst_person { char name[81];
                     char email[81];
                     char passcode[81];
                     char url[81]; 
                   };

